Bug 830449 - fpdns - All query attempts return "Net::DNS::Header::data: no such method"
fpdns - All query attempts return "Net::DNS::Header::data: no such method"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fpdns (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mark McKinstry
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 14:48 EDT by Rohan
Modified: 2012-07-06 17:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-06 17:24:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rohan 2012-06-09 14:48:01 EDT
Installed fpdns via YUM:
[rohan@7up ~]$ yum -y install fpdns
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package fpdns.noarch 0:0.9.3-3.fc17 will be installed
--> Processing Dependency: perl(Net::DNS) >= 0.42 for package: fpdns-0.9.3-3.fc17.noarch
--> Running transaction check
---> Package perl-Net-DNS.x86_64 0:0.68-1.fc17 will be installed
--> Processing Dependency: perl(Digest::SHA) for package: perl-Net-DNS-0.68-1.fc17.x86_64
--> Processing Dependency: perl(Digest::HMAC_MD5) for package: perl-Net-DNS-0.68-1.fc17.x86_64
--> Running transaction check
---> Package perl-Digest-HMAC.noarch 0:1.03-2.fc17 will be installed
---> Package perl-Digest-SHA.x86_64 1:5.61-211.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================
 Package                                Arch                         Version                               Repository                    Size
==============================================================================================================================================
Installing:
 fpdns                                  noarch                       0.9.3-3.fc17                          fedora                        16 k
Installing for dependencies:
 perl-Digest-HMAC                       noarch                       1.03-2.fc17                           fedora                        15 k
 perl-Digest-SHA                        x86_64                       1:5.61-211.fc17                       fedora                        71 k
 perl-Net-DNS                           x86_64                       0.68-1.fc17                           fedora                       270 k

Transaction Summary
==============================================================================================================================================
Install  1 Package (+3 Dependent packages)

Total download size: 372 k
Installed size: 714 k
Downloading Packages:
(1/4): fpdns-0.9.3-3.fc17.noarch.rpm                                                                                   |  16 kB     00:00     
(2/4): perl-Digest-HMAC-1.03-2.fc17.noarch.rpm                                                                         |  15 kB     00:00     
(3/4): perl-Digest-SHA-5.61-211.fc17.x86_64.rpm                                                                        |  71 kB     00:00     
(4/4): perl-Net-DNS-0.68-1.fc17.x86_64.rpm                                                                             | 270 kB     00:01     
----------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                          70 kB/s | 372 kB     00:05     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : 1:perl-Digest-SHA-5.61-211.fc17.x86_64                                                                                     1/4 
  Installing : perl-Digest-HMAC-1.03-2.fc17.noarch                                                                                        2/4 
  Installing : perl-Net-DNS-0.68-1.fc17.x86_64                                                                                            3/4 
  Installing : fpdns-0.9.3-3.fc17.noarch                                                                                                  4/4 
  Verifying  : perl-Net-DNS-0.68-1.fc17.x86_64                                                                                            1/4 
  Verifying  : 1:perl-Digest-SHA-5.61-211.fc17.x86_64                                                                                     2/4 
  Verifying  : perl-Digest-HMAC-1.03-2.fc17.noarch                                                                                        3/4 
  Verifying  : fpdns-0.9.3-3.fc17.noarch                                                                                                  4/4 

Installed:
  fpdns.noarch 0:0.9.3-3.fc17                                                                                                                 

Dependency Installed:
  perl-Digest-HMAC.noarch 0:1.03-2.fc17           perl-Digest-SHA.x86_64 1:5.61-211.fc17           perl-Net-DNS.x86_64 0:0.68-1.fc17          

Complete!



All query attempts yield:

[rohan@7up ~]$ fpdns -D google.com
Net::DNS::Header::data: no such method at /usr/share/perl5/vendor_perl/Net/DNS/Fingerprint.pm line 668
[rohan@7up ~]$ fpdns -D yahoo.com
Net::DNS::Header::data: no such method at /usr/share/perl5/vendor_perl/Net/DNS/Fingerprint.pm line 668
[rohan@7up ~]$ fpdns -D redhat.com
Net::DNS::Header::data: no such method at /usr/share/perl5/vendor_perl/Net/DNS/Fingerprint.pm line 668
[rohan@7up ~]$ fpdns -D fedoraproject.org
Net::DNS::Header::data: no such method at /usr/share/perl5/vendor_perl/Net/DNS/Fingerprint.pm line 668
Comment 1 Fedora Update System 2012-06-13 23:34:41 EDT
fpdns-0.10.0-20120503.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fpdns-0.10.0-20120503.fc17
Comment 2 Rohan 2012-06-25 22:38:16 EDT
Yep, that fixes it!

Thanks.
Comment 3 Fedora Update System 2012-06-27 23:40:15 EDT
Package fpdns-0.10.0-20120503.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fpdns-0.10.0-20120503.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10011/fpdns-0.10.0-20120503.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-06 17:24:44 EDT
fpdns-0.10.0-20120503.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.